V 3.0 won't install Not yet rated

Tried upgrading from 2.3.1 to 3.0, when restarting FF get "Firefox could not install this item because of a failure in Chrome Registration. Please contact the author about this problem." Running Firefox with Mandrake Linux 10.1. Other versions of this worked fine. Can't find a way to contact the author other than by this review. The low rating is because the new version won't install, other versions would receive a 10.

This review is for a previous version of the add-on (3.0). 

Sorry you're having trouble

Thanks for the info -- this seems to be specific to linux -- I am looking into it.

You can find me on TSG (just search my username).